Update workspace
Updates an existing workspace’s configuration. Only provided fields are updated.
curl --request PATCH \
--url https://api.example.com/workspaces/{workspaceSlug}/ \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"displayName": "<string>",
"settings": {
"ocr": "auto",
"requireApproval": true,
"retention": {
"auditLogs": {
"mode": "forever"
},
"originalDocuments": {
"mode": "forever"
},
"redactedDocuments": {
"mode": "forever"
}
}
}
}
'import requests
url = "https://api.example.com/workspaces/{workspaceSlug}/"
payload = {
"description": "<string>",
"displayName": "<string>",
"settings": {
"ocr": "auto",
"requireApproval": True,
"retention": {
"auditLogs": { "mode": "forever" },
"originalDocuments": { "mode": "forever" },
"redactedDocuments": { "mode": "forever" }
}
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
displayName: '<string>',
settings: {
ocr: 'auto',
requireApproval: true,
retention: {
auditLogs: {mode: 'forever'},
originalDocuments: {mode: 'forever'},
redactedDocuments: {mode: 'forever'}
}
}
})
};
fetch('https://api.example.com/workspaces/{workspaceSlug}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"displayName": "<string>",
"memberRole": "owner",
"settings": {
"ocr": "auto",
"requireApproval": true,
"retention": {
"auditLogs": {
"mode": "forever"
},
"originalDocuments": {
"mode": "forever"
},
"redactedDocuments": {
"mode": "forever"
}
}
},
"slug": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"avatarUrl": "<string>",
"description": "<string>"
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}"<string>""<string>"Path Parameters
URL-safe workspace identifier.
Body
Request payload to update an existing workspace.
All fields are optional; only provided fields will be updated. The slug is immutable and set at creation, so it cannot be changed here.
Request payload to update an existing workspace.
All fields are optional; only provided fields will be updated. The slug is immutable and set at creation, so it cannot be changed here.
New description for the workspace (max 500 characters).
500New display name for the workspace (2-32 characters).
2 - 32Replacement workspace settings (approval requirement, data-retention rules). When omitted, settings are left unchanged.
Show child attributes
Show child attributes
Response
Workspace response.
Workspace response.
Timestamp when the workspace was created.
Account that created this workspace.
Show child attributes
Show child attributes
Display name of the workspace.
Role of the member in the workspace.
"owner"Workspace settings (approval requirement, data-retention rules).
Show child attributes
Show child attributes
URL-safe workspace identifier.
3 - 32^[a-z0-9]+(?:-[a-z0-9]+)*$Timestamp when the workspace was last updated.
Serve path of the workspace's avatar (logo), when set.
Description of the workspace.
